// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import store from './store'
import iView from 'iview'
import './styles/theme.less'
import locale from 'iview/dist/locale/en-US'

import './normalize.css'
import GlobalApi from './global'
import filters from './filters'
import directives from './directives'

Vue.use(iView, { locale })
Vue.use(GlobalApi)
Vue.use(filters)
Vue.use(directives)

Vue.config.productionTip = false

/* eslint-disable no-new */
new Vue({
  el: '#app',
  store,
  router,
  ...App
})
