import Vue from 'vue'
import Router from 'vue-router'
import iView from 'iview'
import routerConfig from './router-config/router-config'
import helper from 'utils/helper'

Vue.use(Router)

const router = new Router({
  mode: 'history',
  routes: routerConfig
})
// 路由控制
router.beforeEach((to, from, next) => {
  iView.LoadingBar.start()
  helper.title(to.meta.title)

  const auth = window.localStorage.getItem('user')
  const lock = window.localStorage.getItem('locking')

  if (lock === '1' && to.name !== 'lock') {  // 是否锁屏
    next(false)
    router.replace({ name: 'lock' })
  } else if (!lock && to.name === 'lock') {
    next(false)
    router.replace({ name: from.name })
  } else {
    if (!auth && to.name !== 'login') {  // 是否登录
      router.replace({ name: 'login' })
    } else if (auth && to.name === 'login') {
      next({ name: 'home' })
    } else {
      next()
    }
  }
  iView.LoadingBar.finish()
})

router.afterEach(() => {
  iView.LoadingBar.finish()
  window.scrollTo(0, 0)
})

export default router
