import Home from 'views/home'
import Main from 'views/Main'
import Login from 'views/Login'
import Lock from 'views/lock/lock'

import person from './person'
import message from './message'

/* login page */
const login = {
  path: '/login',
  name: 'login',
  component: Login,
  meta: {
    title: '登录'
  }
}

/* main page */
const main = {
  path: '/',
  component: Main,
  children: [
    {
      path: '',
      name: 'home',
      component: Home,
      meta: {
        title: '首页'
      }
    },
    ...message,
    ...person
  ]
}

/* lock page */
const lock = {
  path: '/lock',
  name: 'lock',
  component: Lock
}

export default [
  login,
  main,
  lock
]
