const state = {
  loading: false
}

const getters = {
  loading: state => {
    return state.loading
  }
}

const mutations = {
  hideLoading (state) {
    state.loading = false
  },
  showLoading () {
    state.loading = true
  }
}

const actions = {
  hideLoading (context) {
    context.commit('hideLoading')
  },
  showLoading (context) {
    context.commit('showLoading')
  }
}

export default {
  state,
  getters,
  mutations,
  actions
}
