// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'

import global_ from './global'
Vue.prototype.GLOBAL = global_

import 'babel-polyfill'
import Promise from 'promise-polyfill'

if (document.location.protocol === 'http:' && process.env.NODE_ENV === 'production') {
  window.location.href = window.location.href.replace('http:', 'https:')
}

if (!window.Promise) {
  window.Promise = Promise
}

import VueBus from 'vue-bus'
import MuseUI from 'muse-ui'
import VueVideoPlayer from 'vue-video-player'
import Vue2Filters from 'vue2-filters'
import VeeValidate from 'vee-validate'
import store from './store'

import 'muse-ui/dist/muse-ui.css'

require('video.js/dist/video-js.css')
require('vue-video-player/src/custom-theme.css')

Vue.use(VueBus)
Vue.use(MuseUI)
Vue.use(VueVideoPlayer)
Vue.use(Vue2Filters)
Vue.use(VeeValidate)

import router from './router'

Vue.config.productionTip = false

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  template: '<App/>',
  components: { App }
})
